/*
Theme Name: Floka Child
Theme URI: https://floka.casethemes.net/
Author: Case-Themes
Author URI: https://themeforest.net/user/case-themes/
Description: Floka  is a Premium WordPress theme that has built-in support for popular Page Builders, slider with swipe gestures, and is SEO- and Retina-ready. The unique system of inheritance and override options allows setting up individual parameters for different sections of your site and supported plugins.
Version: 1.0.2
License: GPL-2.0+
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: floka
Text Domain: floka-child
Tags: Blog, E-Commerce, Portfolio, Grid Layout, One Column, Two Columns, Three Columns, Four Columns, Left Sidebar, Right Sidebar, Custom Background, Custom Colors, Custom Header, Custom Logo, custom-menu, Editor Style, Featured Image Header, Featured Images, flexible-header, Footer Widgets, Full Width Template, microformats, Post Formats, Sticky Post, Theme Options, threaded-comments, translation-ready, Block Editor Styles, Wide Blocks
Requires at least: 5.8 or Higher
Requires PHP: 7.4 or Higher
Tested up to: 6.4
*/




/* On force Alcyone sur tout le site, SAUF sur les balises et classes d'icônes */
/* On force Alcyone partout SAUF sur les icônes et la barre d'admin WordPress */
body, 
body *:not(#wpadminbar):not(#wpadminbar *):not(i):not(.eicon):not(.fa):not(.fas):not(.fab):not(.far):not(.dashicons):not([class*="icon"]):not([class*="fa-"]) {
    font-family: "Alcyone", sans-serif !important;
   /* color: #919191 !important; */
}
.pxl-marquee.pxl-marquee1 .pxl-item--single .pxl-item--text {
    font-family: "Alcyone", sans-serif !important;
    font-weight: 500 !important; /* C'est cette ligne qui appelle le fichier Bold */
    letter-spacing: normal !important;
}

@media screen and (max-width: 1200px) {
    #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li > a:hover, #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li > a.current, #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li.current_page_item > a, #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li.current-menu-item > a, #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li.current_page_ancestor > a, #pxl-header-elementor #pxl-header-mobile.style-dark .pxl-menu-primary li.current-menu-ancestor > a {
        color: var( --e-global-color-primary ) !important;
    }
}

/* 1. Déclaration de la Alcyone Regular */
@font-face {
    font-family: "Alcyone";
    src: url('fonts/Alcyone-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* 2. Déclaration de la Alcyone Medium */
@font-face {
    font-family: "Alcyone";
    src: url('fonts/Alcyone-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

/* Remplacement global de la police Funnel par Alcyone dans Elementor */
:root {
    --e-global-typography-primary-font-family: "Alcyone", sans-serif !important;
    --e-global-typography-secondary-font-family: "Alcyone", sans-serif !important;
    --e-global-typography-text-font-family: "Alcyone", sans-serif !important;
    --e-global-typography-accent-font-family: "Alcyone", sans-serif !important;
}